<?php
error_reporting(E_ALL);
require_once ('conf/config.inc.php');
require_once (MODULES_DIR.'modORProfiles'.DIRECTORY_SEPARATOR.'modORProfiles.class.php');
require_once (MODULES_DIR.'modORSearch'.DIRECTORY_SEPARATOR.'modORSearch.class.php');
require_once (MODULES_DIR.'modORResources'.DIRECTORY_SEPARATOR.'modORResources.class.php');
require_once (MODULES_DIR.'modORConfigs'.DIRECTORY_SEPARATOR.'modORConfigs.class.php');

function send_notification($mail, $resources, $search='')
{	
	
    $max_entries = 25;
    
	$message = 'Monthly Email Notification : For your chosen criteria, the following new resources were submited to the '.SITE_NAME.' ORRD 

total: '.count($resources).'
';
	
	for ($i = 0; $i < count($resources); $i++)
	{
		if ($i == $max_entries)
		{
			$message .= ' ...
';
			break;
		}
		
		$message .= $resources[$i]['author'].' - '.$resources[$i]['title'];
		if ($resources[$i]['year']) $message .=' ('.$resources[$i]['year'].')';
		
		$message .= ' ';
		
		if ($resources[$i]['type_id'] == 1) $message .= 'Conference
';
		elseif ($resources[$i]['type_id'] == 2) $message .= 'Journal
';
		elseif ($resources[$i]['type_id'] == 3) $message .= 'Book
';
		elseif ($resources[$i]['type_id'] == 4) $message .= 'Technical Report
';
		elseif ($resources[$i]['type_id'] == 5) $message .= 'Thesis
';
		$message.= 'submitted: '.$resources[$i]['submited_date'].' '.round((time()-strtotime($resources[$i]['submited_date']))/(24*60*60),0).' days ago.
';

		$message .= ROOT_URL.'orr/get/'.$resources[$i][id] . "\r\n";
		$message .= "\n";
	}

	if ($search)
		$message .= 'Only the first ' . $max_entries . ' new submissions are shown.  You can go
to the search page to view the rest. See the ' . SITE_NAME . ' ORRD help page for details.';
	else 
		$message .= 'Only the first ' . $max_entries . ' new submissions are shown.  You can go
to the search page to view the rest. See ORRD help page for details.';
	
	$message .= "
To stop this monthly email notification, you have to log in to your
 ORRD account, go to your profile, and uncheck the monthly email
 notification checkbox.
\n\n Thank you\n\n
-----------------------------------
".ROOT_URL."\n";
	echo '<pre>';
	echo $mail."\n";
	echo $message;
	echo '</pre><br />';
	if (@mail($mail,SITE_NAME . ' ORRD : Monthly email notification',$message,'From: ' . modORConfigs::get_admin_email()))
		return  true;            
	else
		return  false;
}

function send_to_users()
{

	//first get all profiles
	$users = modORProfiles::get_all_profiles();

	for ($i = 0; $i < count($users); $i++)
	{
        //ok user checked notifications 
        // BJH - Added check to make sure they are also still active
		if ($users[$i]['notifications'] && $users[$i]['active']) 
		{
			$search = modORSearch::get_notify_search($users[$i]['id']); // get selected search criteria
			if (!empty($search)) {
				
				$search = $search[0];
				
				//ok user selected search criteria now we filter the results
                $resources = modORSearch::get_all_resources($search['title'], date("Y-m-d", time()-(60*60*24*7)), '', $search['author'], $search['keyword'], $search['type_id'], $search['year_from'], $search['year_to'], $search['month_from'], $search['month_to'], $search['sumtext'], $search['language_id'], $search['jour_name'], $search['rank_from'], $search['rank_to'],0,ITEMS_PER_PAGE,$rowcount,'y',$search['con_name'],$search['th_department']);
                
				//$resources = modORSearch::get_all_resources($search['title'], date("Y-m-d", time()-(60*60*24*7)), '', $search['author'], $search['keyword'], $search['type_id'], $search['year'],
				//		$search['month'], $search['sumtext'], $search['language_id'], $search['jour_name']);
						
				if (is_array($resources) && count($resources) > 0) //ok we have resources send mail								
					send_notification($users[$i]['mail'], $resources, $search);
			} else {
				$resources = modORSearch::get_all_resources('', date("Y-m-d", time()-(60*60*24*7)), '', '', '', '', '', '', '', '', '');
				if (is_array($resources) && count($resources) > 0) //ok we have resources send mail
					send_notification($users[$i]['mail'], $resources);
			}
		}
	}
}

function send_admin_notification($mail, $not_approved, $rejected, $not_approved_selected, $rejected_selected)
{
    $max_entries = 25;
    
	$message = '
Below is monthly count of Not approved and Rejected resources in '.SITE_NAME.'

';
	
	////////// Not approved //////////
	if ($not_approved_selected)
	{

		if (!$not_approved || !is_array($not_approved))
		{
			$message .= '
     Not approved resources : 
			
     No resources to display.
			
			
';
		} 
		else
		{
			$message .= '
     Not approved resources : '.count($not_approved).'
		 
';
			for ($i=0; $i<count($not_approved);$i++){
			
					if ($i == $max_entries)
					{
						$message .= ' ...
';
						break;
					}
			
					$message .= $not_approved[$i]['author'].' - '.$not_approved[$i]['title'];
					if ($not_approved[$i]['year']) $message .=' ('.$not_approved[$i]['year'].')';
					
					$message .= ' ';
					
					if ($not_approved[$i]['type_id'] == 1) $message .= 'Conference
';
					elseif ($not_approved[$i]['type_id'] == 2) $message .= 'Journal
';
					elseif ($not_approved[$i]['type_id'] == 3) $message .= 'Book
';
					elseif ($not_approved[$i]['type_id'] == 4) $message .= 'Technical Report
';
					elseif ($not_approved[$i]['type_id'] == 5) $message .= 'Thesis
';
					$message.= 'submitted: '.$not_approved[$i]['submited_date'].' '.round((time()-strtotime($not_approved[$i]['submited_date']))/(24*60*60),0).' days ago.
';
			
					$message .= ROOT_URL.'orr/get/'.$not_approved[$i][id] . "\r\n";
					$message .= "\n";
			}
		}
	}
	////////// ~ Not approved ~ //////////


	////////// Rejected //////////
	if ($rejected_selected)
	{

		if (!$rejected || !is_array($rejected))
		{
			$message .= '
     Rejected resources resources : 
		
     No resources to display.
		
		
';
		}
		else
		{	
		$message .= '
     Rejected resources : '.count($rejected).'

';
			for ($i=0; $i<count($rejected);$i++){
					if ($i == $max_entries)
					{
						$message .= ' ...
';
						break;
					}
			
					$message .= $rejected[$i]['author'].' - '.$rejected[$i]['title'];
					if ($rejected[$i]['year']) $message .=' ('.$rejected[$i]['year'].')';
					
					$message .= ' ';
					
					if ($rejected[$i]['type_id'] == 1) $message .= 'Conference
';
					elseif ($rejected[$i]['type_id'] == 2) $message .= 'Journal
';
					elseif ($rejected[$i]['type_id'] == 3) $message .= 'Book
';
					elseif ($rejected[$i]['type_id'] == 4) $message .= 'Technical Report
';
					elseif ($rejected[$i]['type_id'] == 5) $message .= 'Thesis
';
					$message.= 'submitted: '.$rejected[$i]['submited_date'].' '.round((time()-strtotime($rejected[$i]['submited_date']))/(24*60*60),0).' days ago.
';
		
					$message .= ROOT_URL.'orr/get/'.$rejected[$i][id] . "\r\n";
					$message .= "\n";
			}
		}
	}
	////////// ~ Rejected ~ //////////

	$message .= '
-----------------------------------
'.ROOT_URL.'
';
	if (@mail($mail,SITE_NAME . ' ORRD monthly admin notification - Not Approved and Rejected resources',$message,'From: ' . modORConfigs::get_admin_email()))
	return  true;
		else
	return false;
}

function send_to_admin()
{
	// BJH - Modified to send notifications for the last month, and to use the new get_admin_email() function.
	//       Also, added two params to send_admin_notification to put the headings only for the options they selected.
	//$admin = modORProfiles::get_profile(1);
	$a = modORConfigs::get_setting('weekly_na_res');
	$b = modORConfigs::get_setting('weekly_rej_res');
	if ($a)
	{
		$not_approved = modORResources::get_all_resources(3, date("Y-m-d", strtotime("-1 month")));
	}
	if ($b)
	{
		$rejected = modORResources::get_all_resources(5, date("Y-m-d", strtotime("-1 month")));
	}

	if ($a || $b)
		send_admin_notification(modORConfigs::get_admin_email(), $not_approved, $rejected, $a, $b);	

}

send_to_users();
send_to_admin();
                   
?>
