<?php
error_reporting(E_ALL ^ E_NOTICE);

if (!file_exists('conf'.DIRECTORY_SEPARATOR.'config.inc.php'))
{
	die("Configuration file missing.  Please visit the install site (see readme.txt for details).");
} 
else
{
	require ('conf'.DIRECTORY_SEPARATOR.'config.inc.php');
}
require (LOGIC_DIR.'mySmarty.class.php');
require (LOGIC_DIR.'Index.class.php');
session_start();
$smarty = new mySmarty;

$smarty->compile_check = true;
//$smarty->debugging = true;

//SET INDEX.TPL AS DEFAULT TEMPLATE
$TPL_NAME = 'index.tpl';
		
// BJH - Security so admin access not shared across sites

if (!isset($_SESSION['appl_key']) || $_SESSION['appl_key'] != APP_KEY) {
    // Unset all of the session variables.
    $_SESSION = array();

    // If it's desired to kill the session, also delete the session cookie.
    // Note: This will destroy the session, and not just the session data!
    if (isset($_COOKIE[session_name()])) {
        setcookie(session_name(), '', time()-42000, '/');
    }

    // Finally, destroy the session.
    session_destroy();
    
    // Start a new session
    session_start();
    
    $_SESSION['appl_key'] = APP_KEY;
} else {
    $_SESSION['appl_key'] = APP_KEY;
}

// Test file permissions on templates_c folder
$myFile = "templates_c".DIRECTORY_SEPARATOR."testFile.txt";
$fh = fopen($myFile, 'w') or die("Incorrect permissions on templates_c folder.<p>Please verify the web server is able to read and write to templates_c/");
                                                    
// Test file permissions on the conf/ folder ?
$myFile = "conf".DIRECTORY_SEPARATOR."test".date("YmdGis").".txt";
if ($fh = fopen($myFile, 'w'))
    die("Incorrect permissions on conf folder.<p>Please verify the web server can read but <b>not write</b> to conf/");

// Test file permissions on the install/ folder, if it exists
if (file_exists("install"))
    die("For security purposes, please delete or move install/ folder before using your ORRD.");

                                                    
$smarty->assign('rootURL',ROOT_URL);
$smarty->assign('postURL', ROOT_URL);
$smarty->assign('secureURL', SECURE_URL);


if (!isset($_SESSION['level']) || ($_SESSION['level'] == '') || (!isset($_SESSION['user'])) || ($_SESSION['user'] == ''))
	$_SESSION['level'] = 5;

//MODULES STUFF
$activeModules = Index::getActiveModules();

for ($i=0;$i<count($activeModules);$i++) {
	if ($activeModules[$i]['active'] == 1) {
		$modules[$activeModules[$i]['name']] = 1;
		$MODULE_NAME = $activeModules[$i]['name'];
		require_once(MODULES_DIR.$activeModules[$i]['name'].DIRECTORY_SEPARATOR.$activeModules[$i]['filename']);
	}
	else {
		$modules[$activeModules[$i]['name']] = 0;
	}
}

$smarty -> assign('modules',$modules);
$smarty -> assign('SITE_NAME', SITE_NAME);

$moduleSettings = Index::getModuleConfigs();
$smarty -> assign('configs',$moduleSettings);

// BJH - If they are logged in, try to keep them in HTTPS (secure) mode...
if (isset($_SESSION['level']) && $_SESSION['level'] <= 1)
    $smarty->assign('rootURL',SECURE_URL);

$smarty -> assign('level', $_SESSION['level']);
if (isset($_SESSION['user']))
	$smarty -> assign('user', $_SESSION['user']);
if (isset($_SESSION['user']))
	$smarty -> assign('name', $_SESSION['name']);

//echo $_SESSION['user'].'|';
//echo $_SESSION['level'];
//print_r($_SESSION['user']);
$smarty->display($TPL_NAME);

?>
